Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Interface SmartEntityReference

All Known Implementing Classes:
  com.beasys.commerce.foundation.plugin.bmp.BMPSmartEntityReference, Order_customer_SmartEntityReference, Order_paymentTransaction_SmartEntityReference, PersistenceHelper.DefaultSmartEntityReference

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface SmartEntityReference

A smart handle optimizes the the use of handles for entity beans by storing a local copy of the primary key (SmartKey) for the BSC Entity. This optimizes one of the most commonly performed operations of retrieving the key without accessing the remote object. This also makes it possible to compare the entities referenced by the smart handles.

See Also
  `Entity`

Method Summary
`int` | `compareTo(javax.ejb.EJBObject ejbObject)` Deprecated See BEA Commerce product offering
`int` | `compareTo(SmartEntityReference smartEntityReference)` Deprecated See BEA Commerce product offering
`javax.ejb.EJBObject` | `getEJBObject()` Deprecated See BEA Commerce product offering
`String` | `getJNDIName()` Deprecated See BEA Commerce product offering
`void` | `setEJBObject(javax.ejb.EJBObject ejbObject)` Deprecated See BEA Commerce product offering

Method Detail

### getEJBObject

    javax.ejb.EJBObject getEJBObject()

  Deprecated See BEA Commerce product offering

  Returns the EJBObject. If the SmartHandle is empty, it returns null.

### setEJBObject

    void setEJBObject(javax.ejb.EJBObject ejbObject)

  Deprecated See BEA Commerce product offering

### getJNDIName

    String getJNDIName()

  Deprecated See BEA Commerce product offering

### compareTo

    int compareTo(javax.ejb.EJBObject ejbObject)

  Deprecated See BEA Commerce product offering

### compareTo

    int compareTo(SmartEntityReference smartEntityReference)

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved